# Sample Playbooks

## We have the following categories of playbook.

### [Source Management](./source-management)

* The playbooks here cover `Register` and `Unregister` of different sources.

### [VMware Workflow](./vmware-workflow)

* The playbooks here cover different VMware protection scenarios like, Protection Job creation with `include_vm` and `exclude_vm` and more. Every playbook has a small description and the names are self explanatory.

### [NAS Workflow](./nas-workflow)

* The playbooks here cover NAS protection workflow. It includes `Registration` --> `Job Creation` --> `Job Run` --> `Recover workflow`

### [Physical Server Workflow](./physical-server-workfllow)

* The playbooks here cover Physical protection workflow. It covers Agent installation and uninstallation (linux, windows), job creation, recovery workflow

### [Oracle Workflow](./oracle-workflow)

* The playbooks here cover Oracle protection workflow. It includes `Registration` --> `Job Creation` --> `Job Run` --> `Recover workflow`

### [Common Workflow](./common)

* The playbooks present here are the common workflows that can be used for any workflow, like `starting/stopping` protection job.

### [Misc Workflow](./misc)

* The playboks here are for end to end workflow samples. 


### Requet more sample

* You can find a lot of sample playbooks here to get staretd and we are constantly adding more samples but if you feel any workflow is missing or you are looking for a new workflow, please raise a request [here](https://github.com/cohesity/cohesity/cohesity-ansible-role/issues/new?assignees=&labels=&template=sample-requests---questions---.md&title=). 

### Suggestions and Feedback

We would love to hear from you. Please send your suggestions and feedback to: [cohesity-api-sdks@cohesity.com](mailto:cohesity-api-sdks@cohesity.com)


